Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.renderer
Class OWLlinkXMLRenderer

    java.lang.Object
      org.semanticweb.owlapi.owllink.renderer.BuiltinRequestRenderer
          org.semanticweb.owlapi.owllink.renderer.OWLlinkXMLRenderer

All Implemented Interfaces:
  RequestVisitor, OWLlinkXMLRequestRenderer

    public class OWLlinkXMLRenderer

extends BuiltinRequestRenderer

Author:
  Olaf Noppens todo find requestrenderFactories via property files in user-directory, working-directory, jar-directory

Nested Class Summary
`static interface` | `OWLlinkXMLRenderer.InternalRequest`
`class` | `OWLlinkXMLRenderer.KBGetPrefixes`

Field Summary
`protected java.util.Map<java.lang.String,OWLlinkRequestRendererFactory>` | `rendererByRequest`

Fields inherited from class org.semanticweb.owlapi.owllink.renderer.BuiltinRequestRenderer
`writer`

Constructor Summary
`OWLlinkXMLRenderer()`

Method Summary
`void` | `addFactory(OWLlinkRequestRendererFactory factory)`
`void` | `answer(CreateKB query)`
`void` | `answer(Request request)` Common answer method for all queries where no specific answer method exists, i.e. for all non-core queries.
`Request[]` | `render(java.io.Writer writer, PrefixManagerProvider prov, Request... requests)`

Methods inherited from class org.semanticweb.owlapi.owllink.renderer.BuiltinRequestRenderer
`answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, answer, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rendererByRequest

    protected java.util.Map<java.lang.String,OWLlinkRequestRendererFactory> rendererByRequest

Constructor Detail

### OWLlinkXMLRenderer

    public OWLlinkXMLRenderer()

Method Detail

### addFactory

    public void addFactory(OWLlinkRequestRendererFactory factory)

### render

    public Request[] render(java.io.Writer writer,
                            PrefixManagerProvider prov,
                            Request... requests)
                     throws OWLRendererException

  Throws:
    `OWLRendererException`

### answer

    public void answer(Request request)

  Description copied from interface: `RequestVisitor`
  Common answer method for all queries where no specific answer method exists, i.e. for all non-core queries.

  Specified by:
    `answer` in interface `RequestVisitor`
  Overrides:
    `answer` in class `BuiltinRequestRenderer`

### answer

    public void answer(CreateKB query)

  Specified by:
    `answer` in interface `RequestVisitor`
  Overrides:
    `answer` in class `BuiltinRequestRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD